#!/usr/bin/env python

"Configuration settings for imiptools programs."

# The public identity of the agent.

MESSAGE_SENDER = "calendar@example.com"

# The outgoing message handling prefix.

OUTGOING_PREFIX = "people-outgoing"

# The location of the stored calendar information.

STORE_DIR = "/var/lib/imip-agent/store"

# The location of published static free/busy information.

PUBLISH_DIR = "/var/www/imip-agent/static"

# The location of user preferences information.

PREFERENCES_DIR = "/var/lib/imip-agent/preferences"

# Permissions for files.
# This is meant to ensure that both the agent and Web users can access files.

DEFAULT_PERMISSIONS = 0660

# Permissions for directories.
# This is meant to ensure that the group is set for files.

DEFAULT_DIR_PERMISSIONS = 02770

# The published location of the manager application.
# This must match any Web site configuration details for the manager.

MANAGER_PATH = "/imip-manager"

# The full URL of the manager application excluding the above path.
# If set to None, the details of this machine will be employed.

MANAGER_URL = None

# vim: tabstop=4 expandtab shiftwidth=4
